coreEngine.Helper

## Class AgencyDemandHelper

- java.lang.Object
- - coreEngine.Helper.AgencyDemandHelper

-     public class AgencyDemandHelper
      extends java.lang.Object

  Author:
    ltrask

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ODOT_AGRICULTURAL`
    `private static float[][]` | `odot_agriculture` ODOT default for Agriculture.
    `private static float[][]` | `odot_coastal_dest` ODOT default for a coastal destination
    `static java.lang.String` | `ODOT_COASTAL_DEST`
    `private static float[][]` | `odot_coastal_dest_route` ODOT default for a coastal destination route
    `static java.lang.String` | `ODOT_COASTAL_ROUTE`
    `private static float[][]` | `odot_commuter` ODOT default for Commuter
    `static java.lang.String` | `ODOT_COMMUTER`
    `static java.lang.String` | `ODOT_INTERSTATE_NONURBAN`
    `private static float[][]` | `odot_interstate_nonurbanized` ODOT default for interstate - nonurbanized.
    `static java.lang.String` | `ODOT_INTERSTATE_URBAN`
    `private static float[][]` | `odot_interstate_urbanized` ODOT default for interstate - urbanized.
    `private static float[][]` | `odot_rec_summer` ODOT default for summer only.
    `static java.lang.String` | `ODOT_REC_SUMMER`
    `private static float[][]` | `odot_rec_summer_winter` ODOT default for recreational summer/winter.
    `static java.lang.String` | `ODOT_REC_SUMMER_WINTER`
    `private static float[][]` | `odot_rec_winter` ODOT default for recreational winter only.
    `static java.lang.String` | `ODOT_REC_WINTER`
    `private static float[][]` | `odot_summer` ODOT default for summer.
    `static java.lang.String` | `ODOT_SUMMER`
    `private static float[][]` | `odot_summer_2500` ODOT Default for Summer less than 2,500 AADT.
    `static java.lang.String` | `ODOT_SUMMER_2500`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgencyDemandHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static float[][]` | `createBlankDemandMatrix()`
    `static float[][]` | `getDemandMultipliers(java.lang.String agency, java.lang.String type)`
    `static float[][]` | `getODOTDefault(java.lang.String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ODOT_AGRICULTURAL

          public static final java.lang.String ODOT_AGRICULTURAL

      See Also:
        Constant Field Values

    - #### ODOT_COASTAL_DEST

          public static final java.lang.String ODOT_COASTAL_DEST

      See Also:
        Constant Field Values

    - #### ODOT_COASTAL_ROUTE

          public static final java.lang.String ODOT_COASTAL_ROUTE

      See Also:
        Constant Field Values

    - #### ODOT_COMMUTER

          public static final java.lang.String ODOT_COMMUTER

      See Also:
        Constant Field Values

    - #### ODOT_INTERSTATE_NONURBAN

          public static final java.lang.String ODOT_INTERSTATE_NONURBAN

      See Also:
        Constant Field Values

    - #### ODOT_INTERSTATE_URBAN

          public static final java.lang.String ODOT_INTERSTATE_URBAN

      See Also:
        Constant Field Values

    - #### ODOT_REC_SUMMER

          public static final java.lang.String ODOT_REC_SUMMER

      See Also:
        Constant Field Values

    - #### ODOT_REC_SUMMER_WINTER

          public static final java.lang.String ODOT_REC_SUMMER_WINTER

      See Also:
        Constant Field Values

    - #### ODOT_REC_WINTER

          public static final java.lang.String ODOT_REC_WINTER

      See Also:
        Constant Field Values

    - #### ODOT_SUMMER

          public static final java.lang.String ODOT_SUMMER

      See Also:
        Constant Field Values

    - #### ODOT_SUMMER_2500

          public static final java.lang.String ODOT_SUMMER_2500

      See Also:
        Constant Field Values

    - #### odot_agriculture

          private static final float[][] odot_agriculture

      ODOT default for Agriculture.

    - #### odot_coastal_dest

          private static final float[][] odot_coastal_dest

      ODOT default for a coastal destination

    - #### odot_coastal_dest_route

          private static final float[][] odot_coastal_dest_route

      ODOT default for a coastal destination route

    - #### odot_commuter

          private static final float[][] odot_commuter

      ODOT default for Commuter

    - #### odot_interstate_nonurbanized

          private static final float[][] odot_interstate_nonurbanized

      ODOT default for interstate - nonurbanized.

    - #### odot_interstate_urbanized

          private static final float[][] odot_interstate_urbanized

      ODOT default for interstate - urbanized.

    - #### odot_rec_summer

          private static final float[][] odot_rec_summer

      ODOT default for summer only.

    - #### odot_rec_summer_winter

          private static final float[][] odot_rec_summer_winter

      ODOT default for recreational summer/winter.

    - #### odot_rec_winter

          private static final float[][] odot_rec_winter

      ODOT default for recreational winter only.

    - #### odot_summer

          private static final float[][] odot_summer

      ODOT default for summer.

    - #### odot_summer_2500

          private static final float[][] odot_summer_2500

      ODOT Default for Summer less than 2,500 AADT.

  - ### Constructor Detail

    - #### AgencyDemandHelper

          public AgencyDemandHelper()

  - ### Method Detail

    - #### getDemandMultipliers

          public static float[][] getDemandMultipliers(java.lang.String agency,
                                                       java.lang.String type)

    - #### createBlankDemandMatrix

          public static float[][] createBlankDemandMatrix()

    - #### getODOTDefault

          public static float[][] getODOTDefault(java.lang.String type)